#include <gsl/gsl_fit.h>

int linear(int xs, const double* x, int ys, const double* y,
	   int c0s, double* c0, int c1s, double* c1,
	   int cov00x, int cov00y, double* cov00,
	   int cov01x, int cov01y, double* cov01,
	   int cov11x, int cov11y, double* cov11,
	   int chi_sqx, int chi_sqy, double* chi_sq)
{
  if (xs != ys || xs != c0s || xs != c1s) return 2000; //BAD_SIZE
  
  return gsl_fit_linear(x,1,y,1,xs,c0,c1,cov00,cov01,cov11,chi_sq);
}

int linear_weighted(int xs, const double* x, int ws, const double * w, 
		    int ys, const double* y,
		    int c0s, double* c0, int c1s, double* c1,
		    int cov00x, int cov00y, double* cov00,
		    int cov01x, int cov01y, double* cov01,
		    int cov11x, int cov11y, double* cov11,
		    int chi_sqx, int chi_sqy, double* chi_sq)
{
  if (xs != ys || xs != ws || xs != c0s || xs != c1s) return 2000; //BAD_SIZE
  
  return gsl_fit_wlinear(x,1,w,1,y,1,xs,c0,c1,cov00,cov01,cov11,chi_sq);
}


